안드로이드 스마트폰 Stagefright 취약점 검사 도구-Stagefright Detector

꿈을꾸는 파랑새

지난 7월 말 Stagefright이라는 안드로이드 운영체제를 사용하는 장치에 대한 취약점이 발견되었습니다. 해당 취약점은 공격자가 원격제어 및 멀티미디어 메시지(MMS)를 이용해서 악의적인 패키지를 공격이 되는 대상자에게 전송해서 해당 장치에 있는 내용을 훔쳐볼 수가 있는 문제입니다. 일단 해당 취약점은 안드로이드 5.1.1 롤리팝에서 프로요 2.2 버전까지 광범위하게 영향을 미치는 취약점으로 안드로이드 장치 사용자의 95% 정도 차지하는 문제입니다.

일단 기본적으로 넥서스 시리즈 같은 경우에는 구글에서 직접적인 보안 업데이트가 이루어지지만, 기타 브랜드 제품의 사용자는 몇 주에서 몇 달이 소요될 수가 있는 문제입니다. 여기서 영향을 미치는 취약점은 CVE-2015-1538,CVE-2015-1539,CVE-2015-3824,CVE-2015-3826,CVE- 2015-3827,CVE-2015-3828,CVE-2015-3829입니다.

일단 해당 취약점을 검색할 수 있는 두 가지 어플을 소개해 드리겠습니다. 먼저 Lookout에서 제공하는 Stagefright Detector입니다. 해당 Stagefright Detector는 간단하게 설치를 하고 나서 실행을 시켜주면 끝입니다.

Stagefright Detector

그리고 다른 하나는 ZIMPERIUM에서 제공을 하는 Stagefright Detector입니다. 해당 Stagefright Detector은 일단보다 조금 더 자세하게 확인을 할 수가 있는 것을 확인할 수가 있는 것을 할 수가 있습니다.

Stagefright Detector

일단 구글에서 제공하는 넥서스를 제외한 기타 업체는 해당 보안 업데이트가 될 때까지 지난 시간에 소개해 드린 방법으로 임시로 해당 취약점에 대처할 수가 있을 것입니다.



이 글을 공유합시다

facebook twitter googleplus kakaostory naver

본문과 관련 있는 내용으로 댓글을 남겨주시면 감사하겠습니다.